summaryrefslogtreecommitdiff
path: root/dev-cpp/wt
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-cpp/wt
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-cpp/wt')
-rw-r--r--dev-cpp/wt/Manifest2
-rw-r--r--dev-cpp/wt/files/wt-no-rundir.patch14
-rw-r--r--dev-cpp/wt/metadata.xml19
-rw-r--r--dev-cpp/wt/wt-4.13.1.ebuild130
-rw-r--r--dev-cpp/wt/wt-4.13.2.ebuild130
5 files changed, 295 insertions, 0 deletions
diff --git a/dev-cpp/wt/Manifest b/dev-cpp/wt/Manifest
new file mode 100644
index 000000000000..cb208a76fd64
--- /dev/null
+++ b/dev-cpp/wt/Manifest
@@ -0,0 +1,2 @@
+DIST wt-4.13.1.tar.gz 11012584 BLAKE2B 57d98d57f7b2e43805f8f0b18a7aeaa5c9f7c94f99bc29fc667ed9589198db98f14472c78444dfb36858b754034809da4e890ddaba0271ed57fdfc6e2e242806 SHA512 9ae7b09986cdcacb2018b94874a35965201fd0e08e0e92d384041b6ee1b31d57e152789c7c48235424e19291a1059aa12296c5071c0e3ecee639ea3f4caaedb7
+DIST wt-4.13.2.tar.gz 11033297 BLAKE2B 0b050b840182714b346548b98131cd48229bfa40767a93b1b4b00df53ce1e96d3b44c088a2a317b7699f6c3425c50a5cba64b5e40e2c3e4d8fa66ccedd580149 SHA512 618fd4fce51eea0d6abacf86a1a395793ff535e4d17a4fb84fd792261a599f6cbe79ff47c4a3a9f160ac1a1f44f3e27a62cb15782f25251d029c777c91d82352
diff --git a/dev-cpp/wt/files/wt-no-rundir.patch b/dev-cpp/wt/files/wt-no-rundir.patch
new file mode 100644
index 000000000000..ad17603e921d
--- /dev/null
+++ b/dev-cpp/wt/files/wt-no-rundir.patch
@@ -0,0 +1,14 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 887e5de6..a8d559ab 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -132,9 +132,6 @@ ELSE(WIN32)
+ SET(CONFIG_PREFIX ${CMAKE_INSTALL_PREFIX})
+ ENDIF()
+
+- SET(RUNDIR "${CONFIG_PREFIX}/var/run/wt" CACHE PATH
+- "Default path for wt session management (only used by FCGI connector)")
+-
+ IF(NOT DEFINED CONFIGDIR)
+ SET(CONFIGDIR "${CONFIG_PREFIX}/etc/wt" CACHE STRING "Path for the configuration files")
+ ENDIF( NOT DEFINED CONFIGDIR )
diff --git a/dev-cpp/wt/metadata.xml b/dev-cpp/wt/metadata.xml
new file mode 100644
index 000000000000..1bb23aac582c
--- /dev/null
+++ b/dev-cpp/wt/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>dev@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>davidroman96@gmail.com</email>
+ <name>David Roman</name>
+ </maintainer>
+
+ <use>
+ <flag name="graphicsmagick">Enable <pkg>media-gfx/graphicsmagick</pkg>, which is used for creating raster images (WRasterImage)</flag>
+ <flag name="pango">Enable <pkg>x11-libs/pango</pkg>, which is used for improved font support (WPdfImage and WRasterImage)</flag>
+ <flag name="wttest">Build Wt::Test for automated (integration/unit) tests</flag>
+ </use>
+ <origin>ports</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-cpp/wt/wt-4.13.1.ebuild b/dev-cpp/wt/wt-4.13.1.ebuild
new file mode 100644
index 000000000000..0b206cc34a08
--- /dev/null
+++ b/dev-cpp/wt/wt-4.13.1.ebuild
@@ -0,0 +1,130 @@
+# Copyright 2025-2026 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Wt, C++ Web Toolkit"
+HOMEPAGE="https://www.webtoolkit.eu/wt https://github.com/emweb/wt"
+SRC_URI="https://github.com/emweb/wt/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc +graphicsmagick mariadb opengl +pango pdf postgres +sqlite ssl wttest"
+REQUIRED_USE="
+ pango? ( || ( graphicsmagick pdf ) )
+ opengl? ( graphicsmagick )
+"
+# TODO: auto-test with wttest
+RESTRICT="test"
+
+DEPEND="
+ dev-libs/boost:=
+ sys-libs/zlib
+ graphicsmagick? ( media-gfx/graphicsmagick:=[jpeg,png] )
+ mariadb? (
+ dev-db/mariadb
+ dev-db/mariadb-connector-c
+ )
+ opengl? (
+ media-libs/glew:=
+ media-libs/libglvnd[X]
+ )
+ pango? (
+ dev-libs/glib:2
+ media-libs/fontconfig
+ x11-libs/pango
+ )
+ pdf? ( media-libs/libharu:= )
+ postgres? ( dev-db/postgresql )
+ sqlite? ( dev-db/sqlite:3 )
+ ssl? (
+ dev-libs/openssl:=
+
+ )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ doc? (
+ app-text/doxygen
+ dev-qt/qttools:6[assistant]
+ dev-ruby/asciidoctor
+ media-gfx/graphviz[cairo]
+ )
+ virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}/wt-no-rundir.patch" )
+
+src_prepare() {
+ cmake_src_prepare
+
+ # remove bundled sqlite
+ rm -r src/Wt/Dbo/backend/amalgamation || die
+
+ if use doc; then
+ doxygen -u Doxyfile 2>/dev/null || die
+ doxygen -u examples/Doxyfile 2>/dev/null || die
+ sed -e "/^QHG_LOCATION/s|qhelpgenerator|/usr/$(get_libdir)/qt6/libexec/&|" \
+ -i Doxyfile || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DLIB_INSTALL_DIR=$(get_libdir)
+ -DBUILD_EXAMPLES=OFF
+ -DBUILD_TESTS=OFF
+ -DDOCUMENTATION_DESTINATION="share/doc/${PF}"
+ -DINSTALL_DOCUMENTATION=$(usex doc)
+ # will be deprecated
+ -DCONNECTOR_FCGI=OFF
+ -DCONNECTOR_HTTP=ON
+ -DENABLE_SSL=$(usex ssl)
+ -DENABLE_HARU=$(usex pdf)
+ -DENABLE_PANGO=$(usex pango)
+ -DENABLE_SQLITE=$(usex sqlite)
+ -DENABLE_POSTGRES=$(usex postgres)
+ -DENABLE_MYSQL=$(usex mariadb)
+ -DENABLE_FIREBIRD=OFF
+ -DENABLE_LIBWTTEST=$(usex wttest)
+ # QT is only required for examples
+ -DENABLE_QT4=OFF
+ -DENABLE_QT5=OFF
+ -DENABLE_QT6=OFF
+ # requires shibboleth and opensaml, not in tree
+ -DENABLE_SAML=OFF
+ -DENABLE_OPENGL=$(usex opengl)
+ -DWT_WRASTERIMAGE_IMPLEMENTATION=$(usex graphicsmagick GraphicsMagick none)
+ )
+
+ if use mariadb || use postgres || use sqlite; then
+ mycmakeargs+=( -DENABLE_LIBWTDBO=ON )
+ if use sqlite; then
+ mycmakeargs+=( -DUSE_SYSTEM_SQLITE3=ON )
+ # DboTest.C: In member function ‘void Sqlite3_Test_Suite::dbo_precision_test2::test_method()’
+ if use wttest; then
+ append-flags -fno-strict-aliasing
+ filter-lto
+ fi
+ fi
+ else
+ mycmakeargs+=( -DENABLE_LIBWTDBO=OFF )
+ fi
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ if use doc; then
+ find "${ED}" \( \
+ -iname '*.map' -o \
+ -iname '*.md5' \
+ \) -delete || die
+
+ docompress -x /usr/share/doc/${PF}/{examples,reference,tutorial}
+ fi
+}
diff --git a/dev-cpp/wt/wt-4.13.2.ebuild b/dev-cpp/wt/wt-4.13.2.ebuild
new file mode 100644
index 000000000000..0b206cc34a08
--- /dev/null
+++ b/dev-cpp/wt/wt-4.13.2.ebuild
@@ -0,0 +1,130 @@
+# Copyright 2025-2026 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Wt, C++ Web Toolkit"
+HOMEPAGE="https://www.webtoolkit.eu/wt https://github.com/emweb/wt"
+SRC_URI="https://github.com/emweb/wt/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc +graphicsmagick mariadb opengl +pango pdf postgres +sqlite ssl wttest"
+REQUIRED_USE="
+ pango? ( || ( graphicsmagick pdf ) )
+ opengl? ( graphicsmagick )
+"
+# TODO: auto-test with wttest
+RESTRICT="test"
+
+DEPEND="
+ dev-libs/boost:=
+ sys-libs/zlib
+ graphicsmagick? ( media-gfx/graphicsmagick:=[jpeg,png] )
+ mariadb? (
+ dev-db/mariadb
+ dev-db/mariadb-connector-c
+ )
+ opengl? (
+ media-libs/glew:=
+ media-libs/libglvnd[X]
+ )
+ pango? (
+ dev-libs/glib:2
+ media-libs/fontconfig
+ x11-libs/pango
+ )
+ pdf? ( media-libs/libharu:= )
+ postgres? ( dev-db/postgresql )
+ sqlite? ( dev-db/sqlite:3 )
+ ssl? (
+ dev-libs/openssl:=
+
+ )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ doc? (
+ app-text/doxygen
+ dev-qt/qttools:6[assistant]
+ dev-ruby/asciidoctor
+ media-gfx/graphviz[cairo]
+ )
+ virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}/wt-no-rundir.patch" )
+
+src_prepare() {
+ cmake_src_prepare
+
+ # remove bundled sqlite
+ rm -r src/Wt/Dbo/backend/amalgamation || die
+
+ if use doc; then
+ doxygen -u Doxyfile 2>/dev/null || die
+ doxygen -u examples/Doxyfile 2>/dev/null || die
+ sed -e "/^QHG_LOCATION/s|qhelpgenerator|/usr/$(get_libdir)/qt6/libexec/&|" \
+ -i Doxyfile || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DLIB_INSTALL_DIR=$(get_libdir)
+ -DBUILD_EXAMPLES=OFF
+ -DBUILD_TESTS=OFF
+ -DDOCUMENTATION_DESTINATION="share/doc/${PF}"
+ -DINSTALL_DOCUMENTATION=$(usex doc)
+ # will be deprecated
+ -DCONNECTOR_FCGI=OFF
+ -DCONNECTOR_HTTP=ON
+ -DENABLE_SSL=$(usex ssl)
+ -DENABLE_HARU=$(usex pdf)
+ -DENABLE_PANGO=$(usex pango)
+ -DENABLE_SQLITE=$(usex sqlite)
+ -DENABLE_POSTGRES=$(usex postgres)
+ -DENABLE_MYSQL=$(usex mariadb)
+ -DENABLE_FIREBIRD=OFF
+ -DENABLE_LIBWTTEST=$(usex wttest)
+ # QT is only required for examples
+ -DENABLE_QT4=OFF
+ -DENABLE_QT5=OFF
+ -DENABLE_QT6=OFF
+ # requires shibboleth and opensaml, not in tree
+ -DENABLE_SAML=OFF
+ -DENABLE_OPENGL=$(usex opengl)
+ -DWT_WRASTERIMAGE_IMPLEMENTATION=$(usex graphicsmagick GraphicsMagick none)
+ )
+
+ if use mariadb || use postgres || use sqlite; then
+ mycmakeargs+=( -DENABLE_LIBWTDBO=ON )
+ if use sqlite; then
+ mycmakeargs+=( -DUSE_SYSTEM_SQLITE3=ON )
+ # DboTest.C: In member function ‘void Sqlite3_Test_Suite::dbo_precision_test2::test_method()’
+ if use wttest; then
+ append-flags -fno-strict-aliasing
+ filter-lto
+ fi
+ fi
+ else
+ mycmakeargs+=( -DENABLE_LIBWTDBO=OFF )
+ fi
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ if use doc; then
+ find "${ED}" \( \
+ -iname '*.map' -o \
+ -iname '*.md5' \
+ \) -delete || die
+
+ docompress -x /usr/share/doc/${PF}/{examples,reference,tutorial}
+ fi
+}